Bug 59112 - On a freshly installed Redhat 7.1 (2.4.2-2smp kernel), make modules fails
On a freshly installed Redhat 7.1 (2.4.2-2smp kernel), make modules fails
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-30 23:40 EST by Satish
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-30 23:40:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satish 2002-01-30 23:40:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (WinNT; U)

Description of problem:
'make modules' fails on a freshly installed 7.1 system. The error messages displayed are :

To overcome this, we had to do a 'make mrproper' and rebuild the kernel.
Wny should we be doing make mrproper on a freshly installed 7.1 system ? 


Version-Release number of selected component (if applicable): RH 7.1, 2.4.2-2 kernel


How reproducible:
Always

Steps to Reproduce:
1.Install RedHat 7.1 on a system
2. Run 'make menuconfig'
3. Run 'make dep'
4. Run 'make modules'
	

Actual Results:  In file included from 
  /usr/src/linux-2.4/include/linux/spinlock.h:35, from 
/usr/src/linux-2.4/include/linux/module.h:11, from dummy.c:34: 
/usr/src/linux-2.4/include/asm/spinlock.h:8: nondigits 
  in number and not hexadecimal 
/usr/src/linux-2.4/include/asm/spinlock.h:8: nondigits in number and not 
hexadecimal /usr/src/linux-2.4/include/asm/spinlock.h:8: parse 
  error before `1b7d4074' /usr/src/linux-2.4/include/asm/spinlock.h:9: 
`printk_R_ver_str' declared as function returning a function 
  /usr/src/linux-2.4/include/asm/spinlock.h:9: warning: function 
declaration isn't a prototype In file included from dummy.c:34: 
  /usr/src/linux-2.4/include/linux/module.h:173: nondigits in number and 
not hexadecimal /usr/src/linux-2.4/include/linux/module.h:173: nondigits 
in number and not 
  hexadecimal /usr/src/linux-2.4/include/linux/module.h:173: nondigits 
in number and not hexadecimal 
/usr/src/linux-2.4/include/linux/module.h:173: nondigits in number 
  and not hexadecimal /usr/src/linux-2.4/include/linux/module.h:173: 
parse error before `62dada05' 
/usr/src/linux-2.4/include/linux/module.h:173: 
  `inter_module_register_R_ver_str' declared as function returning a 
function /usr/src/linux-2.4/include/linux/module.h:173: warning: 
function declaration isn't a prototype 
  /usr/src/linux-2.4/include/linux/module.h:174: nondigits in number and 
not hexadecimal /usr/src/linux-2.4/include/linux/module.h:174: missing 
white space after number 
  `7a9e845' /usr/src/linux-2.4/include/linux/module.h:174: parse error 
before `7a9e845' /usr/src/linux-2.4/include/linux/module.h:174: 
`inter_module_unregister_R_ver_str' 
  declared as function returning a function 
/usr/src/linux-2.4/include/linux/module.h:174: warning: function 
declaration isn't a prototype 
  /usr/src/linux-2.4/include/linux/module.h:175: 
`inter_module_get_R_ver_str' declared as function returning a function 
/usr/src/linux-2.4/include/linux/module.h:175: 
  warning: parameter names (without types) in function declaration 
/usr/src/linux-2.4/include/linux/module.h:176: 
`inter_module_get_request_R_ver_str' declared as 
  function returning a function 
/usr/src/linux-2.4/include/linux/module.h:176: warning: parameter names 
(without types) in function declaration 
  /usr/src/linux-2.4/include/linux/module.h:177: nondigits in number and 
not hexadecimal /usr/src/linux-2.4/include/linux/module.h:177: nondigits 
in number and not 
  hexadecimal /usr/src/linux-2.4/include/linux/module.h:177: nondigits 
in number and not hexadecimal 
/usr/src/linux-2.4/include/linux/module.h:177: parse error before 
  `6b99f7d8' /usr/src/linux-2.4/include/linux/module.h:177: 
`inter_module_put_R_ver_str' declared as function returning a function 
  /usr/src/linux-2.4/include/linux/module.h:177: warning: function 
declaration isn't a prototype 
/usr/src/linux-2.4/include/linux/module.h:186: 
  `try_inc_mod_count_R_ver_str' declared as function returning a 
function /usr/src/linux-2.4/include/linux/module.h:186: warning: 
parameter names (without types) in 
  function declaration make[2]: *** [dummy.o] Error 1 make[1]: *** 
[_modsubdir_net] Error 2 make: *** [_mod_drivers] Error 2 

Expected Results:  make modules shall be executed clean wtihout errors

Additional info:

We observe a "_ver_str (...)"  tag for exported symbols in the kernel .ver files.
After 'make mrproper' and rebuilding the kernel, we observe the conventional  checksum tag "..12345678".
Why the difference ?
Comment 1 Arjan van de Ven 2002-01-31 04:00:54 EST
The "official" kernel.org kernel requires make mrproper (due to a makefile bug)
and as a result the 7.1 kernel required that too. We've since found and fixed
the makefile bug so with newer (errata and 7.2) kernels it's no longer needed.

Note You need to log in before you can comment on or make changes to this bug.